CentOS 7: kernel (CESA-2022: 0620)

high Nessus プラグイン ID 158438

概要

リモートの CentOS Linux ホストに 1 つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモート CentOS Linux 7 ホストにインストールされているパッケージは、CESA-2022: 0620 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- kernel:hid-multitouch.c の領域外書き込みによる、権限昇格の可能性 (CVE-2020-0465)

- kernel:eventpoll.cのメモリ解放後使用 (Use After Free) は、権限昇格につながる可能性があります (CVE-2020-0466)

- kernel:ローカルの権限昇格が発生する可能性がある、unix_gc() でのメモリ解放後使用 (Use-After-Free) (CVE-2021-0920)

- kernel:HCI デバイスの初期化が失敗する場合の bluetooth サブシステムにおけるダブルフリー (CVE-2021-3564)

- kernel:関数 hci_sock_bound_ioctl() におけるメモリ解放後使用 (Use-After-Free) (CVE-2021-3573)

- kernel:Bluetooth モジュールでのメモリ解放後使用 (Use-After-Free) の可能性 (CVE-2021-3752)

- kernel:xfs: XFS_IOC_ALLOCSP IOCTL の raw ブロックデバイスデータ漏洩 (CVE-2021-4155)

- kernel:TLB フラッシュの欠如による権限昇格の可能性 (CVE-2022-0330)

- kernel:usercopy の失敗によるメモリ解放後使用 (use-after-free) の悪用 (CVE-2022-22942)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?a13dc1ac

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/131.html

https://cwe.mitre.org/data/definitions/200.html

https://cwe.mitre.org/data/definitions/281.html

https://cwe.mitre.org/data/definitions/362.html

https://cwe.mitre.org/data/definitions/415.html

https://cwe.mitre.org/data/definitions/416.html

https://cwe.mitre.org/data/definitions/787.html

プラグインの詳細

深刻度: High

ID: 158438

ファイル名: centos_RHSA-2022-0620.nasl

バージョン: 1.7

タイプ: local

エージェント: unix

公開日: 2022/2/25

更新日: 2023/2/1

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Critical

スコア: 9.2

CVSS v2

リスクファクター: High

Base Score: 7.9

Temporal Score: 6.9

ベクトル: AV:A/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:H/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-3752

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 7.5

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:H/RL:O/RC:C

CVSS スコアのソース: CVE-2022-0330

脆弱性情報

CPE: p-cpe:/a:centos:centos:bpftool, p-cpe:/a:centos:centos:kernel, p-cpe:/a:centos:centos:kernel-abi-whitelists, p-cpe:/a:centos:centos:kernel-debug, p-cpe:/a:centos:centos:kernel-debug-devel, p-cpe:/a:centos:centos:kernel-devel, p-cpe:/a:centos:centos:kernel-headers, p-cpe:/a:centos:centos:kernel-tools, p-cpe:/a:centos:centos:kernel-tools-libs, p-cpe:/a:centos:centos:kernel-tools-libs-devel, p-cpe:/a:centos:centos:perf, p-cpe:/a:centos:centos:python-perf, cpe:/o:centos:centos:7

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/2/25

脆弱性公開日: 2020/12/14

CISAの既知の悪用日: 2022/6/13

エクスプロイト可能

Metasploit (vmwgfx Driver File Descriptor Handling Priv Esc)

参照情報

CVE: CVE-2020-0465, CVE-2020-0466, CVE-2021-0920, CVE-2021-3564, CVE-2021-3573, CVE-2021-3752, CVE-2021-4155, CVE-2022-0330, CVE-2022-22942

RHSA: 2022:0620

CWE: 20, 131, 200, 281, 362, 415, 416, 787